---
title: decodeURIComponent()
slug: Web/JavaScript/Reference/Global_Objects/decodeURIComponent
tags:
  - JavaScript
  - Method
  - Reference
---
<div>{{jsSidebar("Objects")}}</div>

<p>The <code><strong>decodeURIComponent()</strong></code> function decodes a Uniform Resource Identifier (URI) component previously created by {{jsxref("encodeURIComponent")}} or by a similar routine.</p>

<div>{{EmbedInteractiveExample("pages/js/globalprops-decodeuricomponent.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">decodeURIComponent(<em>encodedURI</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>encodedURI</code></dt>
 <dd>An encoded component of a Uniform Resource Identifier.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new string representing the decoded version of the given encoded Uniform Resource Identifier (URI) component.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>Throws an {{jsxref("URIError")}} ("malformed URI sequence") exception when used wrongly.</p>

<h2 id="Description">Description</h2>

<p>Replaces each escape sequence in the encoded URI component with the character that it represents.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Decoding_a_Cyrillic_URL_component">Decoding a Cyrillic URL component</h3>

<pre class="brush: js">decodeURIComponent('JavaScript_%D1%88%D0%B5%D0%BB%D0%BB%D1%8B');
// "JavaScript_шеллы"
</pre>

<h3 id="Catching_errors">Catching errors</h3>

<pre class="brush: js">try {
  var a = decodeURIComponent('%E0%A4%A');
} catch(e) {
  console.error(e);
}

// URIError: malformed URI sequence</pre>

<h3 id="Decoding_query_parameters_from_a_URL">Decoding query parameters from a URL</h3>

<p>decodeURIComponent cannot be used directly to parse query parameters from a URL. It needs a bit of preparation.</p>

<pre class="brush: js">function decodeQueryParam(p) {
  return decodeURIComponent(p.replace(/\+/g, ' '));
}

decodeQueryParam('search+query%20%28correct%29');
// 'search query (correct)'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-decodeuricomponent-encodeduricomponent', 'decodeURIComponent')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.decodeURIComponent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("decodeURI")}}</li>
 <li>{{jsxref("encodeURI")}}</li>
 <li>{{jsxref("encodeURIComponent")}}</li>
</ul>
